<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class ProductLocationMapping extends Model
{
    use SoftDeletes;

    protected $table='prod_location_map';

    public function inventory_location(){
        return $this->belongsTo(InvtLocation::class,'invt_location_id')->withTrashed();
    }

    public function product(){
        return $this->belongsTo(Products::class,'product_id')->withTrashed();
    }
}
